# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_clone-uiu24xf1/recipe, last modified Tue Mar 22 09:01:03 2022
# ------------------------------------------------

package:
  name: pythran
  version: 0.9.11
source:
  sha256: a317f91e2aade9f6550dc3bf40b5caeb45b7e012daf27e2b3e4ad928edb01667
  url: https://pypi.io/packages/source/p/pythran/pythran-0.9.11.tar.gz
build:
  entry_points:
    - pythran = pythran.run:run
    - pythran-config = pythran.config:run
  number: '3'
  script:
    - /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_croot-hamtgp73/pythran_1647957669567/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
      -c "import os, shutil; shutil.rmtree(os.path.join('pythran', 'xsimd'))"
    - '/var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_croot-hamtgp73/pythran_1647957669567/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
      -c "with open(''setup.cfg'', ''w'') as s: s.write(''[build_py]\nno_xsimd=True'')"'
    - /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_croot-hamtgp73/pythran_1647957669567/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
      -m pip install . --no-deps -vv
  string: py310h7163474_3
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_23
    - clang 12.0.0 hecd8cb5_2
    - clang-12 12.0.0 default_hfcad0e5_2
    - clang_osx-64 12.0.0 h7ad7729_2
    - clangxx 12.0.0 default_hfcad0e5_2
    - clangxx_osx-64 12.0.0 he0c6f94_2
    - compiler-rt 12.0.0 hd87ff74_2
    - compiler-rt_osx-64 12.0.0 hfb26b64_2
    - ld64_osx-64 530 h70f3046_23
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp12 12.0.0 default_hfcad0e5_2
    - libcxx 12.0.0 h2f01273_0
    - libllvm12 12.0.0 h9b2ccf5_3
    - llvm-tools 12.0.0 h9b2ccf5_3
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.11 h4dc903c_4
  host:
    - attrs 21.4.0 pyhd3eb1b0_0
    - blas 1.0 mkl
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2022.2.1 hecd8cb5_0
    - certifi 2021.5.30 py310hecd8cb5_0
    - iniconfig 1.1.1 pyhd3eb1b0_0
    - intel-openmp 2021.4.0 hecd8cb5_3538
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - mkl 2021.4.0 hecd8cb5_637
    - mkl-service 2.4.0 py310hca72f7f_0
    - mkl_fft 1.3.1 py310hf879493_0
    - mkl_random 1.2.2 py310hc081a56_0
    - more-itertools 8.12.0 pyhd3eb1b0_0
    - ncurses 6.3 hca72f7f_2
    - numpy 1.21.2 py310h2cbf25c_0
    - numpy-base 1.21.2 py310he490955_0
    - openssl 1.1.1n hca72f7f_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py310hecd8cb5_0
    - pluggy 0.13.1 py310hecd8cb5_0
    - py 1.11.0 pyhd3eb1b0_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - pytest 6.2.4 py310hecd8cb5_2
    - pytest-runner 5.3.1 pyhd3eb1b0_0
    - python 3.10.0 hdfd78df_5
    - readline 8.1.2 hca72f7f_1
    - setuptools 58.0.4 py310hecd8cb5_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.37.2 h707629a_0
    - tk 8.6.11 h7bc2e8c_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h4dc903c_4
  run:
    - beniget 0.3.*
    - clangxx_osx-64 12.*
    - decorator
    - gast 0.4.*
    - libcxx >=12.0.0
    - networkx >=2
    - numpy >=1.21.2,<2.0a0
    - ply >=3.4
    - python >=3.10,<3.11.0a0
    - six
    - xsimd
test:
  commands:
    - export CBS="-isysroot $(xcrun --show-sdk-path)"
    - export CFLAGS="${CFLAGS} ${CBS}"
    - export CXXFLAGS="${CXXFLAGS} ${CBS}"
    - export LDFLAGS="${LDFLAGS} ${CBS}"
    - pythran -v dprod.py
    - python -c "import dprod"
    - pythran -v simple_numexpr.py -DUSE_XSIMD -march=native
    - python -c "import simple_numexpr"
  files:
    - dprod.py
    - simple_numexpr.py
  imports:
    - omp
    - pythran
    - pythran.analyses
    - pythran.optimizations
    - pythran.transformations
    - pythran.types
  requires:
    - clang_osx-64 12.*
    - openblas-devel 0.3.3.*
about:
  description: 'Pythran is an ahead of time compiler for a subset of the Python language,

    with a focus on scientific computing. It takes a Python module annotated

    with a few interface description and turns it into a native Python module

    with the same interface, but (hopefully) faster.

    '
  dev_url: https://github.com/serge-sans-paille/pythran
  doc_url: https://pythran.readthedocs.io/
  home: http://github.com/serge-sans-paille/pythran
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: a claimless python to c++ converter
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - saraedum
    - serge-sans-paille
